#32/64

Name:           aqemu
Version:        0.9.2
Release:        %mkrel 1
Summary:        GUI to QEMU and KVM emulators, written in Qt4
Summary(de):    GUI für QEMU und KVM-Emulatoren, in Qt4 geschrieben
Group:          Emulators
License:        GPLv2
URL:            http://aqemu.sourceforge.net
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires: 	cmake
BuildRequires:  gcc-c++ 
BuildRequires:  %{_lib}vncserver-devel
BuildRequires: 	%{_lib}qt5core-devel
BuildRequires:  %{_lib}qt5printsupport-devel
BuildRequires:  %{_lib}qt5network-devel
BuildRequires:  %{_lib}qt5test-devel
BuildRequires:  %{_lib}gnutls-devel
BuildRequires:  %{_lib}qt5widgets-devel
BuildRequires:  desktop-file-utils 
Requires: 	qemu


%description
AQEMU is GUI to QEMU and KVM emulators, written in Qt5. 
The program have user-friendly interface and allows to 
set up the majority of QEMU and KVM options. 

%description -l de
AQEMU ist GUI für Emulatoren QEMU und KVM, in Qt5 geschrieben. 
Das Programm hat ein benutzerfreundliches Interface und erlaubt 
die volljährige Einrichtung  der QEMU und KVM Optionen.

%prep
%setup -q -n %{name}-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DMAN_PAGE_COMPRESSOR=bzip2 -DDEBUG=1
%make


%install

make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/applications
rm -Rf %{buildroot}%{_datadir}/applications/%{name}.desktop
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=AQEMU
Comment=Virtual machine manager
Comment[de]=Virtual-Maschinen Manager
Exec=%{name}
Icon=%{name}_48x48.png
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(755,root,root)
%{_bindir}/%{name}
%doc AUTHORS CHANGELOG COPYING TODO
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/%{name}.1*

%changelog

* Thu Mar 2 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.9.2-1pclos2017 
- Created package, with latest sources. Added dependencies on Qt5 qt5core-devel, qt5printsupport-devel, 
- qt5network-devel, qt5test-devel, qt5widgets-devel, gnutls-devel, libvncserver-devel
- removed old stuff
